This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 674302 - RfE: Hard code port 7080 as default
RfE: Hard code port 7080 as default
Status: NEW
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-01 06:36 EST by Heiko W. Rupp
Modified: 2011-10-06 15:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2011-02-01 06:36:19 EST
RHQ cli when started without  a host parameter (i.e. using localhost) is using port 7080:

snert:~/webinar/rhq-remoting-cli-4.0.0.B02 hrupp$ bin/rhq-cli.sh
RHQ - RHQ Enterprise Remote CLI 4.0.0.B02
unconnected$ login rhqadmin rhqadmin
Remote server version is: 4.0.0-SNAPSHOT(09b2f64)
Login successful

rhqadmin@localhost:7080$ quit


CLi when connecting to a different host is not assuming port 7080 which is not user friendly -- even if the login help message says [host port]:

snert:~/webinar/rhq-remoting-cli-4.0.0.B02 hrupp$ bin/rhq-cli.sh
RHQ - RHQ Enterprise Remote CLI 4.0.0.B02
unconnected$ login rhqadmin rhqadmin pintsize
org.jboss.remoting.CannotConnectException: Can not connect http client invoker. Connection refused.
....
Login failed: org.jboss.remoting.CannotConnectException: Can not connect http client invoker. Connection refused.
login username password [host port [transport]]

unconnected$ login rhqadmin rhqadmin pintsize 7080
Remote server version is: 4.0.0.B02(8308155)
Login successful

rhqadmin@pintsize:7080$ 



Btw; this should not print ArrayOutOfBoundsException, but "credentials missing":
unconnected$ login
Login failed: java.lang.ArrayIndexOutOfBoundsException: 1
login username password [host port [transport]]
Comment 1 Heiko W. Rupp 2011-02-01 07:36:09 EST
Actually the 'help' message "login username password [host port [transport]]" is wrong, as the port is not needed if the server listens to the "right" port (probably 80).

Note You need to log in before you can comment on or make changes to this bug.